Subject: Re: Public NNCP Relay is now available

From: Sergey Matveev <[email-masked]>
Date: Mon, 2 Aug 2021 13:13:54 +0300

Greetings!

*** John Goerzen [2021-07-31 20:56]:
>I'll include the README.txt that can be freq'd from quux below. It describes
>how to fetch a nodelist.

Thanks for trying that out!
I joined and successfully fetched README.txt and nodelist.zip.

>Also I think it would be really interesting to see where we can take this.
>Email?  Usenet?  (rmail/rnews)  There are a lot of complexities there, and
>with email also security questions.

I thought about that too, but indeed the very first question is
security. However if ordinary RFC822 messages are processed with
something like:

    #!/bin/sh
    echo From_ ... >> some.mbox
    cat >> some

then hardly something can go from and compromise anything on the
computer. But that mbox file can be viewed with an ordinary MUA.
Allowing "sendmail" execution must be very trusted.

>(Yes, I know about nncp-cfgdir,
>but it doesn't readily support comments and I wanted them.)

Files in any of the directories starting with the "." will be silently
skipped, so can be used to store comments. And nearly all unknown files
(unknown configuration keys) will be ignored too.

I even wanted to make an example (suggested) nodelist format in
recutils/recfile format in documentation, something like:

    Name: stargrave
    Description: some guy
    Id: BYRRQUULEHINPKEFN7CHMSHR5I5CK7PMX5HQNCYERTBAR4BOCG6Q
    ExchPub: ESTTKDHQR5H3US4UGZYNECESAH6AKHGYFYLDLK6CH7GXZOPNRIAA
    SignPub: NSJPM42R6VURSKTWRHPXR5XJBYT4DH7GISPV6EP26OIMZ6NLD4OA
    NoisePub: SBUVQDOUBOGNSICBMBWRO7PT2HDXXXYESLVTH77VVPU64VXMPZOQ
    Host: nncp.stargrave.org:540
    Host: another.mirror.stargrave.org:5400
    Host: [2001:470:1f1b:230::1]:5400
    Capability: IPv6
    Capability: Many GiBs of diskspace
    Neighbour: another-guy
    Neighbour: yet-another-known-node
    Area: PY2SOLOM7DQJPHVMTHNBBJAS4LIRKKVZPI6CLTBCQUZMED54STVA
    Area: X6PFUQIVGC6EZVY5WPEP6WYZJ6QPQNHSV6PJIN252FI36FGYMOBA
    Area: 2CAGBUTUGK5DNLJHZLSIYYK26A2F22QSNPI6QBASXLZXVZGJN2TA

    Name: ...
    [...]

and possible arealist:

    Name: nodelist updates
    Id: PY2SOLOM7DQJPHVMTHNBBJAS4LIRKKVZPI6CLTBCQUZMED54STVA
    Type: file

    Name: chatting around
    Id: X6PFUQIVGC6EZVY5WPEP6WYZJ6QPQNHSV6PJIN252FI36FGYMOBa
    Type: exec
    ExecHook: echomail

but was lazy enough for all of that :-). Still was remembering FidoNet
technologies. Recfiles can be converted to Hjson/JSON/whatever easily:

    $ recsel -P Name,Id,ExchPub,SignPub,NoisePub < nodelist.rec | {
        read NAME ; read ID ; read EXCH_PUB ; read SIGN_PUB ; read NOISE_PUB
        echo name: $NAME
        echo id: $ID
        echo exchpub: $EXCH_PUB
        echo signpub: $SIGN_PUB
        echo noisepub: $NOISE_PUB
    }

    name: stargrave
    id: BYRRQUULEHINPKEFN7CHMSHR5I5CK7PMX5HQNCYERTBAR4BOCG6Q
    exchpub: ESTTKDHQR5H3US4UGZYNECESAH6AKHGYFYLDLK6CH7GXZOPNRIAA
    [...]

    name: ...
    [...]

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF